Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34791 - Enable Special:Import for administrator in Bengali Wikipedia
Enable Special:Import for administrator in Bengali Wikipedia
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Sam Reed (reedy)
http://bn.wikipedia.org
: shell
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2012-02-29 10:39 UTC by Jayanta Nath
Modified: 2012-10-04 09:53 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Import (86.40 KB, image/png)
2012-03-02 11:30 UTC, Jayanta Nath
Details
Image (74.35 KB, image/png)
2012-05-10 05:11 UTC, Sam Reed (reedy)
Details
Import with Transwiki import and no upload XML data (123.64 KB, image/png)
2012-05-10 05:52 UTC, Jayanta Nath
Details

Description Jayanta Nath 2012-02-29 10:39:18 UTC
Pleease Enable Special:Import for administrator in Bengali Wikipedia.

Jayanta
sysop, bnwiki
User:jayantanth
Comment 1 Jayanta Nath 2012-02-29 11:45:53 UTC
When I Open the 'Special:Import' page, I see this:No transwiki import sources
have been defined and direct history uploads are disabled.
Comment 2 Jayanta Nath 2012-03-01 06:23:10 UTC
Hi have any queries on this?
Comment 3 Jayanta Nath 2012-03-02 11:14:04 UTC
Hi have any queries on this?
Comment 4 Jayanta Nath 2012-03-02 11:30:42 UTC
Created attachment 10160 [details]
Import
Comment 5 Chad H. 2012-03-02 14:51:20 UTC
Please link to a local community discussion where consensus to add import sources exists (as well as which import sources to add). 

Direct history uploads are disabled on all WMF wikis.
Comment 6 Hydriz Scholz 2012-03-02 15:01:54 UTC
(In reply to comment #5)
> Direct history uploads are disabled on all WMF wikis.

That is not really true, some wikis have it enabled...
Comment 7 Chad H. 2012-03-02 15:09:50 UTC
My mistake. In any case, there still needs to be on-wiki consensus for changes here.
Comment 8 Jayanta Nath 2012-03-02 15:20:36 UTC
I can start local community discussion regarding this matter, but I only want this for  administrator/syspos only. we/I need it for Special:Import from enwiki mostly. strengly Bug 31185 fix without local community discussion!
Comment 9 Chad H. 2012-03-02 15:26:27 UTC
That doesn't look fixed, actually.

There should be community consensus for these types of changes.
Comment 10 Jayanta Nath 2012-03-02 15:53:53 UTC
Ok,  Bug 31185 not fixed!! but status is fixed!!
Although, I shall start  local community discussion regarding this matter.
Comment 11 Jayanta Nath 2012-03-06 06:33:34 UTC
Hi,local community discussion at http://bn.wikipedia.org/wiki/WP:VP
Comment 12 Tanvir Rahman 2012-03-10 06:38:04 UTC
The updated link of the discussion and community consensus is here: http://bn.wikipedia.org/wiki/wp:vp#enable-import ; I think you can go with processing the bug. Bureaucrats should be able to grant and remove import flags to non-admins per local policy. Thanks!
Comment 13 Jayanta Nath 2012-03-14 11:22:32 UTC
Hi have any further queries on this?
Comment 14 Sam Reed (reedy) 2012-04-12 16:55:52 UTC
Import is already enabled.

'crats can now add/remove import...

Nothing further has been requested
Comment 15 Jayanta Nath 2012-04-13 04:20:57 UTC
When I Open the 'Special:Import' page, I see this message again :"No transwiki import sources have been defined and direct history uploads are disabled."
Comment 16 Jayanta Nath 2012-04-13 04:35:34 UTC
As per this page http://bn.wikipedia.org/wiki/special:ListGroupRights, Admin should import.
Comment 17 Sam Reed (reedy) 2012-04-17 15:30:00 UTC
(In reply to comment #15)
> When I Open the 'Special:Import' page, I see this message again :"No transwiki
> import sources have been defined and direct history uploads are disabled."

I don't get that,

You've also not said which wikis you want to be able to import from Import pages from other wikis (import)

(In reply to comment #16)
> As per this page http://bn.wikipedia.org/wiki/special:ListGroupRights, Admin
> should import.

They can.
Comment 18 Jayanta Nath 2012-04-18 10:38:26 UTC
(In reply to comment #17)
> (In reply to comment #15)
> > When I Open the 'Special:Import' page, I see this message again :"No transwiki
> > import sources have been defined and direct history uploads are disabled."
> 
> I don't get that,
Please look Bug 6071 and  Bug 31185 and http://en.wikipedia.org/wiki/MediaWiki_talk:Importnosources



> You've also not said which wikis you want to be able to import from Import
> pages from other wikis (import)

Specially we need to import from Enwiki (en.wikipedia.org). 




> (In reply to comment #16)
> > As per this page http://bn.wikipedia.org/wiki/special:ListGroupRights, Admin
> > should import.
> 
> They can.

We still not can


Off topic: How Bug 31185 fixed without local community consensus? Are there any any different policy for Oriya/odia wikipedia?
Comment 19 Jayanta Nath 2012-05-02 06:58:25 UTC
Please fix this bug...I don't know what is the big issue to fixed this.
Comment 20 Jayanta Nath 2012-05-04 06:26:30 UTC
Please fix this bug... we have to import lots of Template from enwiki, otherwise we have to create manually copy and paste. Please help us. Please help help.............
Comment 21 Thehelpfulone 2012-05-09 23:32:52 UTC
I've committed this in gerrit, https://gerrit.wikimedia.org/r/#/c/7133/ - awaiting approval. Yay first commit!
Comment 23 Jayanta Nath 2012-05-10 04:58:03 UTC
(In reply to comment #22)
> And done,
> https://gerrit.wikimedia.org/r/#/c/7133/2/wmf-config/InitialiseSettings.php,unified

Thank you all, but where are "upload import: import a file in a special XML format produced by exporting pages from en wiki?" I want to import XML format produced by exporting pages from en wiki, but there are no option to upload XML format in Special:Import in Bengali Wikipedia.
Comment 24 Sam Reed (reedy) 2012-05-10 05:11:41 UTC
Created attachment 10573 [details]
Image

There's no reason for you to export to XML from enwiki to then import.

You can use transwiki import.


But both are enabled, see the image
Comment 25 Jayanta Nath 2012-05-10 05:52:38 UTC
Created attachment 10574 [details]
Import with Transwiki import and no upload XML data

Thank you, I can see the image you have uploaded, Thats fine with upload XML data. 

I don't know what is the problem with me!!! in Special:import page there are no upload XML data section , please find the attachment file.
Comment 26 Sam Reed (reedy) 2012-05-10 06:28:37 UTC
Which user groups are you in?

You need the importupload right, I think
Comment 27 Jayanta Nath 2012-05-10 07:35:11 UTC
I am in "administrator" Group, and I think I have to got "importer" rights then I can use both "importupload" and "import" as per https://en.wikipedia.org/wiki/Special:ListGroupRights, it means administrator cant access "importupload", they can access only "import" flag. Even Bureaucrats cant add "importer" group. So who can do this?
Comment 28 Sam Reed (reedy) 2012-05-10 16:27:44 UTC
https://bn.wikipedia.org/wiki/%E0%A6%AC%E0%A6%BF%E0%A6%B6%E0%A7%87%E0%A6%B7:ListGroupRights

Bureaucrats
(list of members)	
Not be affected by rate limits (noratelimit)
Override the spoofing checks (override-antispoof)
Rename users (renameuser)
Add groups: Importers, Administrators, Bureaucrats, Bots and Reviewers
Remove groups: Importers, Bots and Reviewers

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links